Subject: [nwcrg] Fwd: [irsg] Checklist for presenting at an WG meeting

From: Marie-Jose Montpetit <[email-masked]>
Date: Mon, 19 Mar 2018 11:04:31 +0000

While this was not developed for us it is very applicable.

Very good ideas/suggestions in there!

Vincent & Marie-José

Marie-José Montpetit
[email-masked]
[email-masked]

Begin forwarded message:

> From: "John G. Scudder" <[email-masked]>
> Date: March 19, 2018 at 10:48:47 AM GMT
> To: [email-masked]
> Subject: [irsg] Checklist for presenting at an WG meeting
> 
> Hi All,
> 
> In IDR we have a "Checklist for presenting at an IDR meeting" wiki page:
> 
> https://trac.ietf.org/trac/idr/wiki/Checklist%20for%20presenting%20at%20an%20IDR%20meeting
> 
> Recently a chair of another WG asked us if we'd consider generalizing it for general use. I had briefly considered something like this when creating it, but there's just enough WG-specific guidance in it to make me back away, e.g. some WGs may have a different suggested procedure for requesting a speaking slot. That said, it's pretty general already, and of course I don't mind if you refer your WG to our list, but I don't want to claim it represents some broader consensus.
> 
> Having had the request, though, I thought I'd open a discussion. I will say that our experience with the checklist is that it's not as powerful a tool as I wish it were, there are plenty of presenters who despite being pointed to it evidently haven't read it. But some do, and it's cheap.
> 
> --John